Assignee: Matthias Kuhn
Affected QGIS version:2.16.2 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 23514

Description

I experience a crash whenever I use the qgisRelationWidget on a m:n relationship within QGIS. I have 2 parent tables that share a child in

SQLite/Spatialite database and 2 relationships defined in the QGIS project. civic_join (Ref layer: jtbl_a, ref field: fk2, Ref'ed layer:

civic_points, Ref'ed field: UNIQUE_ID id: civic_join) wo_join (Ref layer: jtbl_a, ref field: fk1, Ref'ed layer: wotbl, Ref'ed field: woid id:

wo_join). Using Form Value Relation I have the fk2 referencing the address field in an auto complete so that you can search the address

of a civic instead of the pk. For the jtbl_a both fk1 and fk2 fields work together to form a composite pk for the table.

The mini dump file proclaims "The thread tried to read from or write to a virtual address for which it does not have the appropriate

access". I can manually edit each table and field from within QGIS as well as build relationships between tables through manually editing

from within the attributes tables. Before issuing a bug report I enlisted the assistance of the qgisuser group for possible errors or

assistance; I was directed to file a bug report where it seems that this maybe an issue within the relationship handling itself.

History

#1 - 2017-02-04 02:50 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2017-03-07 05:31 AM - Giovanni Manghi

- Status changed from Open to Feedback

Is this still true on 2.18.4/master?

without a sample project and data it will be hard to allow us/me replicate the issue.

#3 - 2017-04-29 05:51 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.

#4 - 2017-07-21 02:07 PM - Tyler Veinot

No the issue went away after updating to a newer version, not sure what was causing it; again months ago I responded but it didn't seem to go through. I

apologize for that.
